[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85RingBuffer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Internal buffer class

## Declaration

Source position: ascii85.pp line 30

`type TASCII85RingBuffer = class`
`published`
`property FillCount: Cardinal; [r]` |  | Number of bytes in buffer
`property Size: Cardinal; [r]` |  | Size of buffer
`procedure Write();` |  | Write data to the internal buffer
`function Read();` |  | Read data from the internal buffer
`end;`

## Inheritance

`TASCII85RingBuffer` |  | Internal buffer class
`TObject`

## Description

TASCII85RingBuffer is an internal buffer class: it maintains a memory buffer of 1Kb, for faster reading of the stream. It should not be necessary to instantiate an instance of this class, the TASCII85DecoderStream decoder stream will create an instance of this class automatically.

## See also

TASCII85DecoderStream |  | ASCII 85 decoder stream.